<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops" xml:lang="es" lang="es">
    <head>
        <meta charset="UTF-8"/>
        <title>15. De XHTML a EPUB y MOBI con Pecas, ¡en solo un minuto y medio!</title>
        <link href="../css/styles.css" rel="stylesheet" type="text/css"/>
    </head>
    <body>
        <section epub:type="chapter" role="doc-chapter">
            <h1 id="de-xhtml-a-epub-y-mobi-con-pecas-en-solo-un-minuto-y-medio">15. De <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-1">XHTML</span></span> a <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-2">EPUB</span></span> y <span class="smallcap"><span class="i-item-span" id="i-item-id-1-36-3">MOBI</span></span> con <span class="i-item-span" id="i-item-id-1-84-4">Pecas</span>, ¡en solo un minuto y medio!</h1>
            <blockquote>
                <p>En el este artículo se utiliza <a href="https://github.com/NikaZhenya/Pecas"><span class="i-item-span" id="i-item-id-1-84-5">Pecas</span></a>, un conjunto de <span class="i-item-span" id="i-item-id-1-66-8">herramientas</span> <span class="i-item-span" id="i-item-id-1-6-6">editoriales</span> que aún están en <span class="i-item-span" id="i-item-id-1-12-7">desarrollo</span>. Existen diferencias sustanciales en su uso desde <a href="003-1_edicion_digital_como_edicion.xhtml">la primera vez que se mencionó como «<span class="i-item-span" id="i-item-id-1-0-9">edición</span> desde cero»</a>. Y su uso, probablemente, también varíe en el futuro.</p>
            </blockquote>
            <p>El objetivo de esta entrada es explicar cómo producir <strong>dos archivos <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-10">EPUB</span></span> y un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-36-11">MOBI</span></span> validados en un minuto y medio</strong>.</p>
            <h2 id="el-ultimo-don-quijote">El último Don Quijote</h2>
            <p>Desde que comencé a colaborar en este blog hemos hecho versiones de <i>Don Quijote</i> con distintas <span class="i-item-span" id="i-item-id-1-66-12">herramientas</span>.</p>
            <ul>
                <li>
                    <p><a href="003-1_edicion_digital_como_edicion.xhtml">Primero empezamos con un análisis general</a> en el que se explicaba que el método «desde cero» es el más pertinente para un quehacer <span class="i-item-span" id="i-item-id-1-6-13">editorial</span> controlado.</p>
                </li>
                <li>
                    <p>Después explicamos cómo hacer un <a href="005-3_como_crear_un_libro.xhtml"><span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-14">EPUB</span></span> con InDesign</a>.</p>
                </li>
                <li>
                    <p><a href="005-3_como_crear_un_libro.xhtml">Por último, mostramos cómo crearlo a partir de Sigil</a>.</p>
                </li>
            </ul>
            <p>Hoy es el turno del último modo de <span class="i-item-span" id="i-item-id-1-14-15">producción</span>: <strong>el método desde cero</strong>. Pero ¿qué es eso de «desde cero»? Muy sencillo: meternos de lleno con el <span class="i-item-span" id="i-item-id-1-23-17">código</span> de nuestro <span class="i-item-span" id="i-item-id-1-5-16">libro</span>.</p>
            <p><strong>Esto no implica que tengamos que conocer la <span class="i-item-span" id="i-item-id-1-17-18">estructura</span> del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-19">EPUB</span></span></strong> —aunque es recomendable—, ya que es posible usar una serie de <a href="https://es.wikipedia.org/wiki/Script"><i><span class="i-item-span" id="i-item-id-1-94-20">scripts</span></i></a> que nos permiten concentrarnos solo en el contenido del <span class="i-item-span" id="i-item-id-1-5-21">libro</span>.</p>
            <h2 id="que-es-pecas">¿Qué es <span class="i-item-span" id="i-item-id-1-84-22">Pecas</span>?</h2>
            <p>Los <i><span class="i-item-span" id="i-item-id-1-94-23">scripts</span></i> que utilizo y <span class="i-item-span" id="i-item-id-1-12-26">desarrollo</span> para hacer cualquier tipo de <span class="i-item-span" id="i-item-id-1-7-24">publicación</span> son <span class="i-item-span" id="i-item-id-1-66-27">herramientas</span> <span class="i-item-span" id="i-item-id-1-9-25">libres</span> que están disponibles <a href="https://github.com/NikaZhenya/Pecas">aquí</a>. El conjunto de estos <i><span class="i-item-span" id="i-item-id-1-94-28">scripts</span></i> se llama <span class="i-item-span" id="i-item-id-1-84-31">Pecas</span> y la intención es crear <span class="i-item-span" id="i-item-id-1-66-30">herramientas</span> <span class="i-item-span" id="i-item-id-1-6-29">editoriales</span> bajo las siguientes <span class="i-item-span" id="i-item-id-1-135-32">ideas</span>:</p>
            <ul>
                <li>
                    <p><strong>Desarrollo <span class="i-item-span" id="i-item-id-1-116-33">multiformato</span></strong>, para obtener, al menos, archivos <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-34">EPUB</span></span>, <span class="smallcap"><span class="i-item-span" id="i-item-id-1-36-35">MOBI</span></span> y <span class="smallcap"><span class="i-item-span" id="i-item-id-1-27-36">PDF</span></span> para <i><span class="i-item-span" id="i-item-id-1-73-37">ebook</span></i>, además de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-27-38">PDF</span></span> para impresión a partir de archivos madre. Es lo que en <a href="010-8_edicion_ciclica_y_edicion.xhtml">otras <span class="i-item-span" id="i-item-id-1-7-39">publicaciones</span></a> se ha llamado «<span class="i-item-span" id="i-item-id-1-0-40">edición</span> <span class="i-item-span" id="i-item-id-1-40-41">ramificada</span>».</p>
                </li>
                <li>
                    <p><strong>Herramientas de control <span class="i-item-span" id="i-item-id-1-6-42">editorial</span></strong> y no solo para la <span class="i-item-span" id="i-item-id-1-14-44">producción</span> de <span class="i-item-span" id="i-item-id-1-8-43">formatos</span>.</p>
                </li>
                <li>
                    <p><strong>Formatos que se adapten</strong> a la mayoría de las exigencias posibles de la tradición <span class="i-item-span" id="i-item-id-1-6-45">editorial</span> en <span class="i-item-span" id="i-item-id-1-107-46">español</span>.</p>
                </li>
            </ul>
            <p>Las <span class="i-item-span" id="i-item-id-1-66-47">herramientas</span> por el momento carecen de entorno gráfico, por lo que se usan desde la <a href="https://es.wikipedia.org/wiki/Emulador_de_terminal">terminal</a>. Son multiplataforma, por lo que no importa si usas <span class="i-item-span" id="i-item-id-1-128-49">Windows</span>, macOS o <span class="i-item-span" id="i-item-id-1-124-48">Linux</span> (en <span class="i-item-span" id="i-item-id-1-128-50">Windows</span> recomiendo instalar un <a href="https://msdn.microsoft.com/es-MX/commandline/wsl/faq"><span class="smallcap">WSL</span> con Ubuntu</a> para mayor comodidad).</p>
            <p>Como puede notarse, es un <span class="i-item-span" id="i-item-id-1-18-52">proyecto</span> muy ambicioso que ya lleva casi año y medio de vida. A estas alturas, el área de <span class="i-item-span" id="i-item-id-1-7-51">publicación</span> <span class="i-item-span" id="i-item-id-1-51-53">digital</span> está ya casi terminada y podemos verlo en este gráfico:</p>
            <figure>
                <img src="../img/img_13-01.jpg" alt="Proceso para la producción de EPUB."/>
                <figcaption>
                    Proceso para la <span class="i-item-span" id="i-item-id-1-14-54">producción</span> de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-55">EPUB</span></span>.
                </figcaption>
            </figure>
            <p>A partir de un archivo madre en <span class="i-item-span" id="i-item-id-1-45-56">Markdown</span> o <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-57">HTML</span></span> es posible:</p>
            <ol>
                <li>
                    <p>arrancar con la <span class="i-item-span" id="i-item-id-1-15-58">creación</span> de un <span class="i-item-span" id="i-item-id-1-18-59">proyecto</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-60">EPUB</span></span> (<code>creator.rb</code>),</p>
                </li>
                <li>
                    <p>dividirlo en secciones (<code>divider.rb</code>),</p>
                </li>
                <li>
                    <p>añadirle notas al pie (<code>notes.rb</code>),</p>
                </li>
                <li>
                    <p>producir el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-61">EPUB</span></span> (<code>recreator.rb</code>),</p>
                </li>
                <li>
                    <p>convertirlo a otras versiones de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-62">EPUB</span></span> (<code>changer.rb</code>),</p>
                </li>
                <li>
                    <p>e incluso generar un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-36-63">MOBI</span></span> si se cuenta con un <span class="i-item-span" id="i-item-id-1-44-64">programa</span> desarrollado por <span class="i-item-span" id="i-item-id-1-76-65">Amazon</span> (<code>kindlegen</code>).</p>
                </li>
            </ol>
            <p>Aún está pendiente el manejo de referencias bibliográficas (<code>cites.rb</code>) y la <span class="i-item-span" id="i-item-id-1-15-66">creación</span> de índices analíticos o glosarios (<code>index.rb</code>).</p>
            <p>Para los afortunados que no tienen manía por el control de cada uno de los <span class="i-item-span" id="i-item-id-1-32-67">procesos</span>, existe la posibilidad de <span class="i-item-span" id="i-item-id-1-75-68">automatizarlos</span> y hacer todo con un solo comando (<code>automata.rb</code>).</p>
            <p>Con este <span class="i-item-span" id="i-item-id-1-5-69">libro</span> procederemos de esta manera y <strong>en un minuto y medio produciremos dos archivos <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-70">EPUB</span></span> y un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-36-71">MOBI</span></span> validados</strong>.</p>
            <h2 id="archivos-de-entrada">Archivos de entrada</h2>
            <blockquote>
                <p>Todos los archivos están disponibles <a href="http://alturl.com/79qtb">aquí</a>.</p>
            </blockquote>
            <p>Como hemos procedido en los otros <span class="i-item-span" id="i-item-id-1-28-72">métodos</span>, nuestros archivos iniciales —ubicados en <code>don_quijote/desde_cero/archivos_madre</code>— son los siguientes:</p>
            <ul>
                <li>
                    <p><code>todo.xhtml</code>. El contenido del <span class="i-item-span" id="i-item-id-1-5-73">libro</span>.</p>
                </li>
                <li>
                    <p><code>portada.jpg</code>. La portada del <i>Don Quijote</i>.</p>
                </li>
                <li>
                    <p><code>principal.css</code>. Los estilos que usaremos para esta <span class="i-item-span" id="i-item-id-1-0-74">edición</span>.</p>
                </li>
            </ul>
            <p>Estos son los archivos madre, los cuales ya no tenemos necesidad de modificar porque ya le hemos dado el <span class="i-item-span" id="i-item-id-1-8-75">formato</span> adecuado. <a href="009-7_el_formato_de_una.xhtml">Nos ahorramos ese dolor de cabeza</a>, donde el cuidado en <strong>el <span class="i-item-span" id="i-item-id-1-8-78">formato</span> es esencial para el control <span class="i-item-span" id="i-item-id-1-6-76">editorial</span> de cualquier <span class="i-item-span" id="i-item-id-1-7-77">publicación</span>, impresa o <span class="i-item-span" id="i-item-id-1-51-79">digital</span></strong>.</p>
            <h2 id="manos-a-la-obra_2">¡Manos a la <span class="i-item-span" id="i-item-id-1-2-80">obra</span>!</h2>
            <p>Ubicados en <code>don_quijote/desde_cero</code> solo usamos el comando <code>pc-automata</code> para llamar a <code>automata.rb</code> que, a su vez, llamará al resto de los <i><span class="i-item-span" id="i-item-id-1-94-81">scripts</span></i> y los <span class="i-item-span" id="i-item-id-1-44-82">programas</span>:</p>
            <figure>
                <img src="../img/vid_13-01.gif" alt="Producción de dos EPUB y un MOBI en minuto y medio."/>
                <figcaption>
                    Producción de dos <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-83">EPUB</span></span> y un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-36-84">MOBI</span></span> en minuto y medio.
                </figcaption>
            </figure>
            <h3 id="creacion-del-proyecto-epub">1. Creación del <span class="i-item-span" id="i-item-id-1-18-85">proyecto</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-86">EPUB</span></span></h3>
            <p>El primer comando es para crear una carpeta que será donde las <span class="i-item-span" id="i-item-id-1-66-87">herramientas</span> trabajen:</p>
            <pre class="bash">
                <code class="code-line-1">pc-automata --init</code>
            </pre>
            <p>Esto nos crea una carpeta llamada <code>epub-automata</code>, el cual solo contiene dos ficheros:</p>
            <ul>
                <li>
                    <p><code>.automata_init</code>. Un archivo oculto que permite validar la carpeta como un directorio para lo que hará <code>pc-automata</code>.</p>
                </li>
                <li>
                    <p><code>automata_meta-data.yaml</code>. Un archivo donde pondremos los <span class="i-item-span" id="i-item-id-1-30-89">metadatos</span> del <span class="i-item-span" id="i-item-id-1-5-88">libro</span>.</p>
                </li>
            </ul>
            <h3 id="agregacion-de-los-metadatos">2. Agregación de los <span class="i-item-span" id="i-item-id-1-30-90">metadatos</span></h3>
            <p>El siguiente paso es abrir el archivo <code>automata_meta-data.yaml</code> para introducir los <span class="i-item-span" id="i-item-id-1-30-92">metadatos</span>. Este fichero puede abrirse con cualquier <span class="i-item-span" id="i-item-id-1-44-94">programa</span>; por ejemplo, Bloc de Notas, TextEdit o Gedit. Utilicé nano, un <span class="i-item-span" id="i-item-id-1-34-93">editor</span> de <span class="i-item-span" id="i-item-id-1-16-91">texto</span> que se usa desde la terminal:</p>
            <pre class="bash">
                <code class="code-line-1">nano epub-automata/automata_meta-data.yaml</code>
            </pre>
            <h3 id="creacion-de-los-epub-y-el-mobi">3. Creación de los <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-95">EPUB</span></span> y el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-36-96">MOBI</span></span></h3>
            <p>Con nuestro <span class="i-item-span" id="i-item-id-1-18-97">proyecto</span> y los <span class="i-item-span" id="i-item-id-1-30-98">metadatos</span> listos, solo es necesario <span class="i-item-span" id="i-item-id-1-98-99">escribir</span> este comando:</p>
            <pre class="bash">
                <code class="code-line-1">pc-automata -f archivos_madre/todo.xhtml -c archivos_madre/portada.jpg -s archivos_madre/principal.css -d epub-automata/ -y epub-automata/automata_meta-data.yaml --section</code>
            </pre>
            <p>Pero ¿qué significa todo eso? Vayamos por partes para observar que no es nada complejo:</p>
            <ul>
                <li>
                    <p><code>pc-automata</code>. Con esto se manifiesta que llamaremos a <code>automata.rb</code> para producir los <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-100">EPUB</span></span> y el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-36-101">MOBI</span></span> de manera <span class="i-item-span" id="i-item-id-1-75-102">automatizada</span>.</p>
                </li>
                <li>
                    <p><code>-f archivos_madre/todo.xhtml</code>. Este primer parámetro señala cuál es el archivo (<em><strong>f</strong>ile</em>) que contiene todo el <span class="i-item-span" id="i-item-id-1-5-103">libro</span>.</p>
                </li>
                <li>
                    <p><code>-c archivos_madre/portada.jpg</code>. Con este otro indicador se menciona cuál es la portada (<em><strong>c</strong>over</em>) de la <span class="i-item-span" id="i-item-id-1-2-104">obra</span>.</p>
                </li>
                <li>
                    <p><code>-s archivos_madre/principal.css</code>. Aquí se enlaza la hoja de estilos (<em><strong>s</strong>tyle sheet</em>) de la <span class="i-item-span" id="i-item-id-1-7-105">publicación</span>.</p>
                </li>
                <li>
                    <p><code>-d epub-automata/</code>. Si no estamos dentro de la carpeta (<em><strong>d</strong>irectory</em>) del <span class="i-item-span" id="i-item-id-1-18-106">proyecto</span>, se tiene que indicar dónde se encuentra.</p>
                </li>
                <li>
                    <p><code>-y epub-automata/automata_meta-data.yaml</code>. Como no estamos dentro del directorio, también hay que señalar dónde está el archivo <span class="smallcap"><strong>Y</strong>AML</span> que contiene los <span class="i-item-span" id="i-item-id-1-30-107">metadatos</span>.</p>
                </li>
                <li>
                    <p><code>&#45;&#45;section</code>. Por último, se indica que la división del <span class="i-item-span" id="i-item-id-1-37-108">documento</span> no se hará cada <span class="i-item-span" id="i-item-id-1-49-109">etiqueta</span> <code>&lt;h1&gt;</code> sino cada <code>&lt;section&gt;</code>.</p>
                </li>
            </ul>
            <p>Con esto —como podemos ver en <code>don_quijote/desde_cero/epub_automata/log.txt</code>— <code>pc-automata</code> lleva a cabo estas tareas:</p>
            <ol>
                <li>
                    <p>Crea un <span class="i-item-span" id="i-item-id-1-18-110">proyecto</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-111">EPUB</span></span> con <code>pc-creator</code>.</p>
                </li>
                <li>
                    <p>Divide el archivo <code>todo.xhtml</code> en cada <span class="i-item-span" id="i-item-id-1-49-112">etiqueta</span> <code>&lt;section&gt;</code> con <code>pc-divider</code>.</p>
                </li>
                <li>
                    <p>Crea el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-113">EPUB</span></span> versión 3.0.1 —todavía no lo actualizo a 3.1— con <code>pc-recreator</code>.</p>
                </li>
                <li>
                    <p>Crea el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-114">EPUB</span></span> versión 3.0.0 a partir del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-115">EPUB</span></span> 3.0.1 con <code>pc-changer</code>. La versión 3.0.0 es la más popular y la aceptada por terceros, como <span class="i-item-span" id="i-item-id-1-76-116">Amazon</span>, iTunes y <span class="i-item-span" id="i-item-id-1-122-117">Google</span> Play.</p>
                </li>
                <li>
                    <p>Se verifica el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-118">EPUB</span></span> 3.0.1 con <code><span class="i-item-span" id="i-item-id-1-79-119">epubcheck</span></code>, la <span class="i-item-span" id="i-item-id-1-66-120">herramienta</span> oficial de validación que es mantenida por el <a href="https://github.com/IDPF/epubcheck">International Digital Publishing Forum</a>.</p>
                </li>
                <li>
                    <p>Se verifica el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-121">EPUB</span></span> 3.0.0 también con <code><span class="i-item-span" id="i-item-id-1-79-122">epubcheck</span></code>. Si hay errores, aparecerán indicados en la terminal y quedará guardados en el archivo <code>log.txt</code>.</p>
                </li>
                <li>
                    <p>Si se cuenta con <code>kindlegen</code>, termina los <span class="i-item-span" id="i-item-id-1-32-123">procesos</span> creando el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-36-124">MOBI</span></span> a partir del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-125">EPUB</span></span> 3.0.1.</p>
                </li>
            </ol>
            <h2 id="primer-resultado">Primer resultado</h2>
            <p>Con esto se crean los <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-126">EPUB</span></span> y el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-36-127">MOBI</span></span> cuyo resultado es:</p>
            <figure>
                <img src="../img/img_13-02.jpg" alt="Portada del EPUB."/>
                <figcaption>
                    Portada del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-128">EPUB</span></span>.
                </figcaption>
            </figure>
            <p>Como puede verse, los estilos están bien aplicados:</p>
            <figure>
                <img src="../img/img_13-03.jpg" alt="Interior del EPUB."/>
                <figcaption>
                    Interior del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-129">EPUB</span></span>.
                </figcaption>
            </figure>
            <p>Y, por supuesto, automáticamente se creó la tabla de contenidos:</p>
            <figure>
                <img src="../img/img_13-04.jpg" alt="Tabla de contenidos del EPUB."/>
                <figcaption>
                    Tabla de contenidos del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-130">EPUB</span></span>.
                </figcaption>
            </figure>
            <p>¡Momento! En la tabla de contenidos todas las secciones tienen la misma jerarquía… Por <span class="i-item-span" id="i-item-id-1-62-132">experiencia</span>, esto no incomoda a la mayoría de las personas. Sin embargo, hay ocasiones donde se quiere ocultar elementos —como la <span class="i-item-span" id="i-item-id-1-53-131">página</span> legal— o crear una tabla de contenidos jerarquizada.</p>
            <p>No hay ningún problema, es solo cuestión de modificar nuestros <span class="i-item-span" id="i-item-id-1-30-133">metadatos</span>. Si se abre de nuevo el archivo <code>automata_meta-data.yaml</code> se observa el área para la tabla de contenidos, donde la opción más personalizable es el área de <code>custom:</code>.</p>
            <p>Desde ahí acomodamos los elementos que deseamos mostrar en la tabla, añadiendo espacio a inicio de cada línea, unos más que otros, para jerarquizarlos:</p>
            <figure>
                <img src="../img/img_13-05.jpg" alt="Creación de una tabla de contenidos jerárquico."/>
                <figcaption>
                    Creación de una tabla de contenidos jerárquico.
                </figcaption>
            </figure>
            <h2 id="segunda-recreacion">Segunda recreación</h2>
            <p>Con la tabla de contenidos modificada, solo es necesario volver a correr el comando para producir los archivos. La sintaxis es la misma a cuando desarrollamos los <span class="i-item-span" id="i-item-id-1-8-134">formatos</span> por primera vez:</p>
            <pre class="bash">
                <code class="code-line-1">pc-automata -f archivos_madre/todo.xhtml -c archivos_madre/portada.jpg -s archivos_madre/principal.css -d epub-automata/ -y epub-automata/automata_meta-data.yaml --section</code>
            </pre>
            <p>El <span class="i-item-span" id="i-item-id-1-32-135">proceso</span> vuelve a comenzar sin ninguna dificultad:</p>
            <figure>
                <img src="../img/vid_13-02.gif" alt="Nueva producción de los EPUB y el MOBI."/>
                <figcaption>
                    Nueva <span class="i-item-span" id="i-item-id-1-14-136">producción</span> de los <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-137">EPUB</span></span> y el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-36-138">MOBI</span></span>.
                </figcaption>
            </figure>
            <p>¡Ya tenemos de nuevo nuestros <span class="i-item-span" id="i-item-id-1-5-139">libros</span>! Con una hermosa tabla de contenidos:</p>
            <figure>
                <img src="../img/img_13-06.jpg" alt="EPUB con una tabla de contenidos jerárquica."/>
                <figcaption>
                    <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-140">EPUB</span></span> con una tabla de contenidos jerárquica.
                </figcaption>
            </figure>
            <p>Que puede expandirse para ver el resto de las secciones:</p>
            <figure>
                <img src="../img/img_13-07.jpg" alt="EPUB con una tabla de contenidos expandida."/>
                <figcaption>
                    <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-141">EPUB</span></span> con una tabla de contenidos expandida.
                </figcaption>
            </figure>
            <h2 id="dos-curiosidades">Dos curiosidades</h2>
            <p>Como se observó en la segunda recreación, el <span class="i-item-span" id="i-item-id-1-32-142">proceso</span> de <span class="i-item-span" id="i-item-id-1-75-143">automatización</span> sigue una <span class="i-item-span" id="i-item-id-1-135-144">idea</span> de desecho: todos los archivos que no sean archivos <span class="smallcap"><span class="i-item-span" id="i-item-id-1-126-145">YAML</span></span> son eliminados para volver a generar todos los ficheros.</p>
            <p>¿Por qué? Por un lado, porque la generación de archivos puede llegar a confundir al usuario si se mezclan con ficheros antiguos. Por el otro, la <span class="i-item-span" id="i-item-id-1-135-148">idea</span> <span class="i-item-span" id="i-item-id-1-28-147">metodológica</span> es el <span class="i-item-span" id="i-item-id-1-10-146">trabajo</span> con los archivos madre, así que, en caso de modificación, ¿por qué se querría utilizar los ficheros generados en lugar de modificar los archivos madre?</p>
            <p>Con esto <strong>es posible no preocuparnos por los <span class="i-item-span" id="i-item-id-1-8-149">formatos</span> finales</strong>, a tal grado que incluso no es necesario subirlos al <span class="i-item-span" id="i-item-id-1-92-150">servidor</span>, ya que en cualquier momento se pueden volver a generar a partir de los archivos madre.</p>
            <p>Así nos ahorramos un poco más de espacio y nos quitamos la preocupación de estar respaldando los archivos finales a cada instante. El control es tal que la mala práctica de tener los últimos cambios en los archivos finales no tiene cabida.</p>
            <p>¿Es necesario hacer modificaciones que con la <span class="i-item-span" id="i-item-id-1-75-151">automatización</span> no se pueden llevar a cabo? Aunque se trata de una singularidad, la posibilidad no queda eliminada, ya que <code>pc-automata</code> conserva el <span class="i-item-span" id="i-item-id-1-18-152">proyecto</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-153">EPUB</span></span> sin compresión en la carpeta <code>epub-automata/epub-creator</code>.</p>
            <p>En la mayoría de los casos no se recomienda trabajar con esos archivos, pero la flexibilidad permanece porque entre menos control hay en un <span class="i-item-span" id="i-item-id-1-18-155">proyecto</span> <span class="i-item-span" id="i-item-id-1-6-154">editorial</span>, más lugar hay para las excepciones…</p>
            <h2 id="quieres-probar-pecas-en-modo-automatizado">¿Quieres probar <span class="i-item-span" id="i-item-id-1-84-157">Pecas</span> en modo <span class="i-item-span" id="i-item-id-1-75-156">automatizado</span>?</h2>
            <p>Si tienes curiosidad de probar <span class="i-item-span" id="i-item-id-1-84-158">Pecas</span> como se hizo aquí, puedes recrear este ejercicio. Solo es necesario:</p>
            <ul>
                <li>
                    <p><a href="http://alturl.com/79qtb">Descargar los archivos del Don Quijote</a> (elimina la carpeta <code>epub-automata</code>).</p>
                </li>
                <li>
                    <p><a href="https://github.com/NikaZhenya/cursitos/tree/master/instalacion">Instalar todo lo necesario para <span class="i-item-span" id="i-item-id-1-84-159">Pecas</span></a>.</p>
                </li>
            </ul>
            <p>También existe otro ejercicio adicional en el cual puedes crear los <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-160">EPUB</span></span> y el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-36-161">MOBI</span></span> desde un archivo <span class="smallcap"><span class="i-item-span" id="i-item-id-1-27-162">PDF</span></span> y pasando por <span class="i-item-span" id="i-item-id-1-45-163">Markdown</span>. Para acceder, solo haz <a href="https://github.com/NikaZhenya/cursitos/tree/master/modulos/practicos/P003-Pecas">clic aquí</a>.</p>
            <aside class="espacio-arriba2">
                <h6 id="sobre-esta-entrada_15">Sobre esta entrada</h6>
                <ul>
                    <li>
                        <p>Título original: «De <span class="i-item-span" id="i-item-id-1-24-165">XHTML</span> a <span class="i-item-span" id="i-item-id-1-1-164">EPUB</span> y <span class="i-item-span" id="i-item-id-1-36-166">MOBI</span> ¡en solo minuto y medio!».</p>
                    </li>
                    <li>
                        <p>Título en el <i>blog</i> de <span class="i-item-span" id="i-item-id-1-20-168">Mariana</span>: «De <span class="i-item-span" id="i-item-id-1-24-169">XHTML</span> a <span class="i-item-span" id="i-item-id-1-1-167">EPUB</span> y <span class="i-item-span" id="i-item-id-1-36-170">MOBI</span> con <span class="i-item-span" id="i-item-id-1-84-171">Pecas</span>, ¡en solo un minuto y medio!».</p>
                    </li>
                    <li>
                        <p>Fecha de <span class="i-item-span" id="i-item-id-1-7-172">publicación</span>: 8 de diciembre del 2017.</p>
                    </li>
                    <li>
                        <p><a href="https://gitlab.com/NikaZhenya/entradas-eguaras/blob/master/15%20-%20De%20XHTML%20a%20EPUB%20y%20MOBI%20en%20solo%20minuto%20y%20medio/entrada.md">Redacción original</a>.</p>
                    </li>
                    <li>
                        <p><a href="https://marianaeguaras.com/xhtml-epub-mobi-con-pecas/">Revisión de <span class="i-item-span" id="i-item-id-1-20-173">Mariana</span></a>.</p>
                    </li>
                </ul>
            </aside>
        </section>
    </body>
</html>
